# SPDX-License-Identifier: (GPL-2.0-only)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/rockchip/rockchip-drm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Rockchip DRM master device

maintainers:
  - Sandy Huang <hjc@rock-chips.com>
  - Heiko Stuebner <heiko@sntech.de>

description: |
  The Rockchip DRM master device is a virtual device needed to list all
  vop devices or other display interface nodes that comprise the
  graphics subsystem.

properties:
  compatible:
    const: rockchip,display-subsystem

  ports:
    $ref: /schemas/types.yaml#/definitions/phandle-array
    description: |
      Should contain a list of phandles pointing to display interface port
      of vop devices. vop definitions as defined in
      Documentation/devicetree/bindings/display/rockchip/rockchip-vop.yaml

required:
  - compatible
  - ports

additionalProperties: false

examples:
  - |
    display-subsystem {
        compatible = "rockchip,display-subsystem";
        ports = <&vopl_out>, <&vopb_out>;
    };
